import {Component, OnChanges, OnInit} from '@angular/core';
import {LenderIncomeAbstractDirective} from '../../abstract/lender-income-abstract.directive';
import {PayInResimacXlsModel} from '../../models/pay-in-resimac-xls.mode';

@Component({
  selector: 'app-lender-resimac-xls-income',
  templateUrl: './lender-resimac-xls-income.component.html',
  styleUrls: ['./lender-resimac-xls-income.component.scss']
})
export class LenderResimacXlsIncomeComponent extends LenderIncomeAbstractDirective implements OnInit, OnChanges {

  constructor() { super('Resimac'); }

  ngOnInit(): void {
    this.analysis.ResimacXls.forEach(v => {
      v.matchedPayIn = this.matchPayIn(v);
      this.data.push(new PayInResimacXlsModel(v));
    });
  }

  ngOnChanges(changes): void {
    super.OnChanges(changes);
  }

}
